# Requires Python 3.10+

VERSION = "dev"

print(f"Loading FoxWorld server, version {VERSION}")

import sys, platform, asyncio

import log, config, network, world

log.load(config.c["log_level"])

log.info(f"System information: FoxWorld {VERSION}; Python {sys.version}; OS: {' '.join(platform.uname())}")

world_inst = world.World(config.c["world_seed"])
net = network.Network(config.c["net"]["host"], config.c["net"]["port"], config.c["max_players"], world_inst)

asyncio.run(net.mainloop())
